
gcc -fPIC -O -c blosc.c 
gcc -fPIC  -O -c blosclz.c 
gcc -fPIC  -O -c shuffle.c

gcc  -fPIC  -Wall -fopenmp -O -c flexdata.c

mex compress_blosc_mex.c blosc.o blosclz.o shuffle.o
mex decompress_blosc_mex.c blosc.o blosclz.o shuffle.o

mex CFLAGS='$CFLAGS -fopenmp' LDFLAGS='$LDFLAGS -fopenmp' descriptor_cache_mex.c flexdata.o blosc.o blosclz.o  shuffle.o 

gcc -Wall -fopenmp -o cache_server flexdata_client_server.c -DSERVER_EXECUTABLE flexdata.o blosc.o blosclz.o shuffle.o -lm

