
function index = dataset_definition()

  % generated with fv_scripts_tinydataset('voc2007',[6 8 14 17],false,inf)

    
  index = load('voc07_data/index.mat');  
  index.imgroot = 'voc07_data/JPEGImages/';
    
  
  splits = load('voc07_data/split_train=train+val_test=test.mat'); 
  index.all_testmask = splits.all_testmask; 
  index.all_trainmask = splits.all_trainmask; 
  
  gtboxes = load('voc07_data/gtboxes2.mat'); 
  
  nimg = length(index.imnames);
  index.imsizes = zeros(nimg, 2); 

  for i = 1:nimg
    index.gtboxes(i).bbs = gtboxes.gtboxes(i).bbs;
    index.gtboxes(i).clsind = gtboxes.gtboxes(i).clsind';     
    index.gtboxes(i).view = gtboxes.gtboxes(i).view;
    index.gtboxes(i).diffmask = gtboxes.gtboxes(i).diffmask;
    index.imsizes(i, :) = gtboxes.gtboxes(i).imsize;     
  end
  
