function ops = mfa_opsdefaults(ops)

if ~isfield(ops,'dim'); ops.dim = 0;   end % dimensionality of factors
if ~isfield(ops,'iso'); ops.iso = 0;   end % use isotropic noise if 1 (ie PPCA)
if ~isfield(ops,'eqn'); ops.eqn = 0;   end % use equal noise model for all components
if ~isfield(ops,'dia'); ops.dia = 0;   end % verbosity. 0=no output, 1=log-likelihood monitoring, 2=posterior plotting
if ~isfield(ops,'eps'); ops.eps = 1e-3;end % relative log-likelihood increase threshold for convergence
if ~isfield(ops,'mxi'); ops.mxi = 100; end % maximum number of EM iterations
if ~isfield(ops,'mni'); ops.mni = 1;   end % minimum number of EM iterations
if ~isfield(ops,'ini'); ops.ini = 1;   end % number kmeans iterations for initialization
if ~isfield(ops,'maxbyte'); ops.maxbyte = inf;   end % defines chunking
if ~isfield(ops,'sparsityk'); ops.sparsityk = inf; end % make posteriors sparse basd on top k.
if ~isfield(ops,'timing'); ops.timing = 1; end % print timing information

