function sz = cn_sizend(arr,nd)
%
% sz = cn_sizend(arr,nd)
%
% Return size of the array where "length(sz)==nd" is guaranteed by padding 1s, if needed.
% "ndims(arr) > nd" throws an exception.
%
% R.G.Cinbis Jan 2012

sz = size(arr);
k = length(sz);

if k > nd
    error('ndims(arr) > nd');
elseif k < nd
    sz = [sz ones(1,nd-k)];
end


