



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% set code paths

% root = '/home/lear/douze/experiments/detection/data/object_detector/'
% addpath([root 'fishervec']);
% addpath([root 'fishervec/mfa.14.4.2011']);


% Root of the Piotr's Image&Video Toolbox
up.PIOTR = '/home/lear/douze/experiments/detection/data/toolboxes/piotr';

% Root of the vlfeat library such that "toolbox" is one of its subdirectories.
up.VLFEAT = '/home/lear/douze/experiments/detection/data/toolboxes/vlfeat/cur';


% toolboxes
addpath(([up.VLFEAT '/toolbox']));
vl_setup();

addpath(([up.PIOTR '/classify'])); % no: ,'-end');. it includes pdist2
addpath(([up.PIOTR '/filters']),'-end');
addpath(([up.PIOTR '/images']),'-end');
addpath(([up.PIOTR '/matlab']),'-end');


addpath 'selectivesearch_uva'
addpath 'compression'


% Gokberk's utils
addpath 'myutils/system'
addpath 'myutils/shortcuts'
addpath 'myutils/system/multicore'
addpath 'myutils/textutils'
addpath 'myutils/imagedata'
addpath 'myutils/miscutils'
addpath 'myutils/sampling'
addpath 'fishervec'
addpath 'myutils/probabilitydistributions'
addpath 'myutils/mathmisc'
addpath 'myutils/miscfeatures'
addpath 'myutils/clustering'
addpath 'myutils/clustering/productquantization'
addpath 'myutils/histogramming'
addpath 'myutils/detectionutils/'
addpath 'myutils/distancefunctions/'
addpath 'myutils/classifiers'
addpath 'fishervec/mfa.14.4.2011'

% where to put temp data for the multicore package
mkdir /tmp/multicore_tmp
multicoredirs('global', '/tmp/multicore_tmp');
