#include "cn_pq.hpp"

/**
 * Author: R. Gokberk Cinbis.
 */


namespace cn { namespace pq {

    uint64_t get_nsq_total(const vector<uint64_t> &nsq_c, const vector<uint64_t> &z2c) {
        uint64_t nsq_total = 0;
        const uint64_t Z = z2c.size();
        for ( uint64_t z = 0; z < Z; ++z ) {
            nsq_total += nsq_c[z2c[z]];
        }
        return nsq_total;
    }

} }

